## cvs-buildpackage 5.23

=== Makefile ===
############################ -*- Mode: Makefile -*- ###########################
## Makefile<cvs-buildpackage> --- 
## Author           : Manoj Srivastava ( srivasta@glaurung.green-gryphon.com ) 
## Created On       : Tue Nov 18 23:49:49 2003
## Created On Node  : glaurung.green-gryphon.com
## Last Modified By : Manoj Srivastava
## Last Modified On : Wed Nov 19 00:03:24 2003
## Last Machine Used: glaurung.green-gryphon.com
## Update Count     : 6
## Status           : Unknown, Use with caution!
## HISTORY          : 
## Description      : 
## 
###############################################################################
prefix =
package= cvs-buildpackage

CONFLOC:=/etc/cvsdeb.conf
DOCDIR = $(prefix)/usr/share/doc/$(package)
MANDIR = $(prefix)/usr/share/man
MAN1DIR= $(MANDIR)/man1
MAN5DIR= $(MANDIR)/man5
ETCDIR = $(prefix)/etc
BINDIR = $(prefix)/usr/bin/

# install commands
install_file= install    -p    -o root -g root -m 644
install_program= install -p    -o root -g root -m 755
make_directory= install  -p -d -o root -g root -m 755

all build: check

check:
	bash -n cvs-buildpackage
	bash -n cvs-inject
	bash -n cvs-upgrade

install:
	$(make_directory)  $(DOCDIR)
	$(install_file)    debian/changelog    $(DOCDIR)/changelog
	$(install_file)    README              $(DOCDIR)/README
	$(install_file)    HOWTO               $(DOCDIR)/HOWTO
	$(install_file)    get-orig.sh         $(DOCDIR)/get-orig.sh
	$(install_file)    cvs-pkginit         $(DOCDIR)/cvs-pkginit
	pod2man            cvs-pkginit >       $(DOCDIR)/cvs-pkginit.1
	$(install_file)    cvs-co-upgrade.1    $(DOCDIR)/cvs-co-upgrade.1
	$(install_file)    cvs-co-upgrade      $(DOCDIR)/cvs-co-upgrade
	$(install_file)    cvsdeb.conf.5       $(MAN5DIR)
	gzip -9fq                              $(MAN5DIR)/cvsdeb.conf.5
	$(install_file)    cvs-buildpackage.1  $(MAN1DIR)
	gzip -9fq                              $(MAN1DIR)/cvs-buildpackage.1
	$(install_file)    cvs-inject.1        $(MAN1DIR)
	gzip -9fq                              $(MAN1DIR)/cvs-inject.1
	$(install_file)    cvs-upgrade.1       $(MAN1DIR)
	gzip -9fq                              $(MAN1DIR)/cvs-upgrade.1
	-gzip -9fqr                            $(DOCDIR)
	$(install_file)    debian/copyright    $(DOCDIR)/copyright
	$(install_file)    cvsdeb.conf         $(ETCDIR)/cvsdeb.conf
	$(install_program) cvs-buildpackage    $(BINDIR)
	$(install_program) cvs-inject          $(BINDIR)
	$(install_program) cvs-upgrade         $(BINDIR)
