## cvs-buildpackage 1.14

=== debian/changelog ===
cvs-buildpackage (1.14) frozen unstable; urgency=low

  * BUG-FIX: Updated the cvsdeb.conf.5 man page to reflect new options
    included in the previous releases.
  * cvs-buildpackage now checks for and offers to abort if there are
    uncommitted files in the source tree.
  * Now, one may opt to have a default mechanism of gaining root access
    for a buildo (I always use fakeroot, and can now put it in
    /etc/cvsdeb.conf or ~/.cvsdeb,conf). One can now just call
    cvs-buildpackage with no options and build a package ;-)

 -- Manoj Srivastava <srivasta@debian.org>  Fri,  3 Apr 1998 10:52:12 -0600

cvs-buildpackage (1.13) unstable; urgency=low

  * Both cvs-inject and cvs-upgrade warn about the presence of symbolic
    links in the upstream source. CVS ignores these files, and without the
    warning data could be lost. The operation continues without error.
  * Both cvs-inject and cvs-upgrade warn about the presence of CVS
    directories in upstream source. This cannot be handled, and the
    operation aborts gracefully, and informs the user fo the offending
    directories. 
  * There is a new option to cvs-buildpackage (with env var and config
    file support too) to force a cvs tag -F operation before exporting the
    sources. This only works in the source directory (you know
    cvs-buildpackage couls be called from anywhere, as long as you give
    the repository, package name, and version, right?), since cvs tag does
    not make sense otherwise. The default is the old behaviour. 
    closes: Bug#20229.

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  1 Apr 1998 16:10:34 -0600

cvs-buildpackage (1.12) unstable; urgency=low

  * Fixed documentation typos. closes: Bug#19527

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 14 Mar 1998 23:34:27 -0600

cvs-buildpackage (1.11) unstable; urgency=low

  * Fixed typos in cvs-upgrade; and fixed the debian tag. closes: Bug#19528
  * Moved the setting of  cvsmodule lower in cvs-inject, so that $package
    is set. Closes: Bug#19612

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 14 Mar 1998 18:03:02 -0600

cvs-buildpackage (1.10) unstable; urgency=low

  * Added a missing quote to cvs-upgrade

 -- Manoj Srivastava <srivasta@debian.org>  Fri,  6 Mar 1998 01:01:24 -0600

cvs-buildpackage (1.9) unstable; urgency=low

  * Fixed typo in extended description. closes: Bug:18944

 -- Manoj Srivastava <srivasta@debian.org>  Thu,  5 Mar 1998 18:42:34 -0600

cvs-buildpackage (1.8) unstable; urgency=low

  * Changed >$2 into >&2 as it should have been in the first place in
    cvs-upgrade. 
  * cvs-upgrade and cvs-inject now follow cvs-buildpackage wrt -M and -x;
    -M is the module name, in toto, -x gives a default prefix to the
    module name, and can be set in the config file. Both may be set in env
    variables. closes: Bug#18734
  * All programs now look for and read ~/.cvsdeb.conf. closes: Bug#18742

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  2 Mar 1998 02:22:26 -0600

cvs-buildpackage (1.7) unstable; urgency=low

  * Fixed a typo in cvs-inject. closes: Bug#18523
  * Note that the current behaviour of cvs-{inject,upgrade} is to ignore
    files that match the default list of files to be ignored (this is
    built into cvs); and that any .cvsignore files in the upstream sources
    shall be honoured. This should be fine as long as upstream sources do
    not include files that match cvs ignore patterns. Currently, the
    default list of ignored file name patterns is:
    RCS SCCS CVS CVS.adm RCSLOG cvslog.* tags TAGS .make.state
    .nse_depinfo *~ #* .#* ,* _$* *$ *.old *.bak *.BAK *.orig *.rej .del-*
    *.a *.olb *.o *.obj *.so *.exe *.Z *.elc *.ln core

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 23 Feb 1998 16:28:18 -0600

cvs-buildpackage (1.6) unstable; urgency=low

  * Upgraded to standards version 2.4.0.0
  * Fixed FSF address in the copyright files.
  * Added cvs-inject
  * added cvs-upgrade
  * This is now a complete set or programs for using cvs in debian
    development. 
  * Updated the HOWTO for the new programs.
  * Expanded the description. This version satisfies all know lintian
    warnings. 

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 21 Feb 1998 01:59:26 -0600

cvs-buildpackage (1.5) unstable; urgency=low

  * Make sure that the copyright file is not compressed. closes:Bug#14382
  * Added documentation about cvs TAG conventions, and the fact that we
    ignore the epoch number in determining cvs tags (this is not a problem
    since cvs does not have to order the debian versions)
  * Preserve file modification information from the pristine sources.
  * *Not included* cvs-inject and cvs-upgrade, as they are not in a
    releasable state.

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  1 Dec 1997 14:32:43 -0600

cvs-buildpackage (1.04) unstable; urgency=low

  * Made the rootget <blah> commands always use full path name for <blah>,
    so it works with fakeroot. (specifically, two rm commands in the
    script were changed to /bin/rm). Reported by Andreas Jellinghaus
    <aj@dungeon.inka.de>.
  * Further enhanced the HOWTO with suggestions from Andreas Jellinghaus
    <aj@dungeon.inka.de>.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 21 Aug 1997 14:53:20 -0500

cvs-buildpackage (1.03) unstable; urgency=low

  * Fixed a typo in the README file. This fixes BUG#12196.
  * Fixed a few typos in the HOWTO document (converted a few hyphens `-'
    into underscores `_'). 
  * The HOWTO example were putting the package name into the tags, updated
    the HOWTO to reflect the current working of the script (which does not
    put package names in tags).
  * Mentioned the example script cvs-pkginit in the HOWTO.
  * Rewrote the update import section of the HOWTO. Went through the whole
    HOWTO and updated the tags shown in the examples to be consistent, and
    reflect the script.
  * I do apologize for not checking the HOWTO, and people should not blame

