## cvs-buildpackage 2.12

=== debian/changelog ===
cvs-buildpackage (2.12) unstable; urgency=low

  * Fixed documentation rules about how the debian revision tag is
    generated. closes: BUG#28451
  * Mentioned in cvs-upgrade how to upgrade a working CVS directory using
    cvs update.
  * Ran a spell check on the HOWTO and README. closes: BUG#28452
  * Fixed a typo in cvs-inject.1, it should be upstream_version_, not
    upstream_versions_. closes: BUG#28459
  * Documented conf_prefix in cvsdeb.conf.5. closes: BUG#28460
  * Fixed a typo in cvs-upgrade that confused it while upgrading a
    Debian-only package. The apparent unquoted arguments to -m are a
    display artifact, as the report noted, the command does the right
    thing anyway. I do not think it is worth the effort required in fixing
    the anomaly, but I shall do so if there is sufficient demand. 
    closes: BUG#28461
  * Fixed more typos in cvsdeb.conf.5. Mentioned ~/.cvsdeb.conf there as
    well. Escaped the ~ in cvs-buildpackage.conf.1 closes: BUG#28536
  * Put in a safety check in cvs-inject to make it more paranoid about
    changing dirs. I can't reportduce problems people seem to be having. 

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 28 Oct 1998 17:00:37 -0600

cvs-buildpackage (2.11) unstable; urgency=low

  * Use /tmp/$$/. directory instead of /tmp/$$.x files. close: Bug#27842 

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 14 Oct 1998 01:17:42 -0500

cvs-buildpackage (2.10) unstable; urgency=low

  * The cvs-buildpackage program now honors the CVSDEB_PREFIX environment
    variable, just like cvs-inject and cvs-upgrade programs. It does not
    honor the configuration variable conf_prefix (it never has), and this
    is now documented.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 23 Sep 1998 02:56:51 -0500

cvs-buildpackage (2.09) unstable; urgency=low

  * Fix a couple of typos involving version and name specification.
    closes: BUG#26973, BUG#26974

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 23 Sep 1998 01:21:38 -0500

cvs-buildpackage (2.08) unstable; urgency=low

  * cvs-upgrade: update the documents emphasizing that the code needs to
    be checked out again using cvs co -j -j options. 

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 18 Sep 1998 02:25:27 -0500

cvs-buildpackage (2.07) unstable; urgency=low

  * Do not include the name of the module as part of tag when trying to
    reconstitute the orig file. closes: BUG#26632


 -- Manoj Srivastava <srivasta@debian.org>  Fri, 11 Sep 1998 12:54:12 -0500

cvs-buildpackage (2.06) unstable; urgency=low

  * Added missing quote in cvs-inject.

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  7 Sep 1998 04:53:00 -0500

cvs-buildpackage (2.05) unstable; urgency=low

  * cd to the working dir for cvs-buildpackage to work around a bug in
    CVS. closes: BUG#26251

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  1 Sep 1998 00:03:34 -0500

cvs-buildpackage (2.04) unstable; urgency=low

  * Removed most unneeded eval invocations from the scripts. Thanks to Ian
    Jackson for piting this out. 
  * Make dpkg_options a Bash array variable, so that one can
    transparently pass arguments off to dpkg-buildpackage. Without this,
    we were splitting up spaces in arguments while passing it to
    dpkg-buildpackage. closes: BUG#26237
  * Moved the verbose help section in cvs-upgrade to the front, so that
    error messages during upgrade do not get lost.
  * Document that conf_dpkg_options is also an array variable now. 

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 30 Aug 1998 13:46:48 -0500

cvs-buildpackage (2.03) unstable; urgency=low

  * Incorporated patch for the HOWTO file from Adam P. Harris
    <apharris@burrito.onshore.com> which fixes typos and clariies a few
    things. closes: BUG#25550
  * Added a dependency for cvs (should have done that earlier), since we
    need it to do _anything_. closes: BUG#25551

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 11 Aug 1998 15:47:47 -0500

cvs-buildpackage (2.02) unstable; urgency=low

  * Anchor the regular expressions in cvs-inject and cvs-buildpackage. The
    upstream version would otherwise be parsed incorrectly.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 24 Jul 1998 14:00:48 -0500

cvs-buildpackage (2.01) unstable; urgency=low

  * Modified the man pages to indicate how users may import files which are
    normally ignored by CVS.
  * Modified the conffile to report the real location of the
    defaults. Took the option to fix spellings. Patch by "Karl
    M. Hegbloom" <karlheg@inetarena.com> closes: Bug#23701
  * Added even more documentation to emphasize the fact that setting the
    working directory directly makes the root directory setting
    irrelevant; in other words, the root directory is merely used to
    derive a default for the working directory. closes: BUG#23627

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 14 Jul 1998 11:51:42 -0500
