=== debian/control ===
--- 
+++ 
@@ -31,5 +31,5 @@
  version control system.
  .
  This can be used to generate a unified CVS source tree, for example.
-Depends: dpkg-dev (>= 1.4.0.9)
+Depends: dpkg-dev (>= 1.4.0.9), cvs
 Architecture: all
