## cvs-buildpackage 3.18

=== debian/changelog ===
cvs-buildpackage (3.18) frozen unstable; urgency=low

  * Added a dependency on fileutiles >=4.0, since the package would fail
    to install with older fileutils.

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 28 Mar 2000 02:59:59 -0600

cvs-buildpackage (3.17) frozen unstable; urgency=low

  * Fixed a couple of typos in cvs-inject, which could potentially cause
    data loss (changed an test -f test into a test -e test). This needs to
    go into potato.
  * Use absolute links when related links would not work, for the
    /usr/doc/latex2tml symlink. 
  * Add into the docs that the scratch working directory should not be a
    subdirectory of CVSROOT, since cvs is very likely to refuse to export
    a package there.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 22 Mar 2000 01:21:33 -0600

cvs-buildpackage (3.16) frozen unstable; urgency=low

  * Fixed typos in cvs-upgrades informational output. closes: Bug#58564
  * Fixed an upgrade bug when /usr/doc happens to be a symlink, and does
    not point to /usr/share/doc. A couple of people were bitten by this. 

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 28 Feb 2000 22:27:05 -0600

cvs-buildpackage (3.15) frozen unstable; urgency=low

  * The postinst was vulnerable to being affected by symlinks (if, for
    some reason, the prerm failed). This has happended for latex2html; and
    created a grave bug. 
  * There was a bug in the postinst in a case statement, that caused
    installation to fail for certain situations.
  * Also fixed an lintian warning

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  8 Feb 2000 14:47:27 -0600

cvs-buildpackage (3.14) frozen unstable; urgency=medium

  * Un backwhacked tildes in man pages. closes: Bug#50884
  * Do not use $() in a double quote context. closes: Bug#47646
  * Added a strict check configuration option. closes: Bug#50839
  * Fix a typo: %changes -> $changes. closes: Bug#52758

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 25 Jan 2000 16:08:53 -0600

cvs-buildpackage (3.13) unstable; urgency=low

  * Made cvs-inject (optionally) more permissive. I did not apply the
    patch in the big report directly, since the package being injected is
    in violation of policy; and I would rather let the human
    decide. Courtesy of Joey Hess closes: Bug#44041
  * Added blank space in directory name handling for cvs-inject, using the
    patrch in the report. Courtesy of Joey Hess  (this is really ugly,
    joey) closes: Bug#44564
  * Documented the fact that one has to update the working directory
    manually after cvs-upgrade is run. closes: Bug#45327
  * Moved to FHS compliance.

 -- Manoj Srivastava <srivasta@debian.org>  Fri,  8 Oct 1999 06:56:37 -0500

cvs-buildpackage (3.12) unstable; urgency=low

  * Finally fix exessive quoting (I hope). closes: Bug#43639
  * Added a work around for CVS bug reported in 24585. 
    closes: Bug#43409

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 30 Aug 1999 22:17:47 -0500

cvs-buildpackage (3.11) unstable; urgency=high

  * discovered a thinko because of which cvs-buildpackage was ignoring
    module prefixes in some cases. Reported by Joey Hess.
  * Added a section detailing the predefined variable to the cvsdeb.conf.5
    man page.
  * Added support for using the Debian changelog entry as the CVS entry in
    cvs-inject and cvs-upgrade (conf file and env variable, no command
    line option yet).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 19 Aug 1999 10:58:52 -0500

cvs-buildpackage (3.10) unstable; urgency=low

  * Removed quotes around the file names in arg to rm. closes: Bug#43191
  * Mentioned in various places in the HOWTO that if you use the
    CVSROOT/debian dir, you also need to set conf_prefix=debian in the
    config file. closes: Bug#41109
  * I have been unable to reproduce 34545, and after several unsuccesful
    attempts to get additional information from the reporter, I am closing
    this report. closes: Bug#34545

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 19 Aug 1999 02:30:06 -0500

cvs-buildpackage (3.09) unstable; urgency=low

  * Added patch from Karl M. Hegbloom
    * cvs-upgrade (argv): Ditto.
    * cvs-inject (opt_dsc): Remove quotes around $CVS_QUIET so that
      when it is empty, there isn't a null argv[n] passed to `cvs'; the
      argument just goes away.
    * Use an array variable to pass args to $action whenever there
      are arguments to be passed that have spaces in them.
  * closes: Bug#38905

 -- Manoj Srivastava <srivasta@debian.org>  Sat,  5 Jun 1999 23:30:05 -0500

cvs-buildpackage (3.08) unstable; urgency=low

  * Changed read $ans to read ans all over the place. closes: Bug#38532

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  2 Jun 1999 17:36:05 -0500

cvs-buildpackage (3.07) unstable; urgency=low

  * Fix logical error in handling CVSDEB_PREFIX. closes:Bug#37808

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 16 May 1999 22:39:27 -0500

cvs-buildpackage (3.06) unstable; urgency=low

  * Added a new option (-F) to cvs-inject and cvs-upgrade, since they were
    really choking on symbolic links. There are two things CVS may choke
    on symbolic links and CVS directories in the source tree. Also, there
    are times when one may not want to honour the upstream files.  Without
    this option, the cvs-inject program shall exit with an error
    message. This option causes cvs-inject to ask whether you want to
    delete the offending files.  If you answer y, it removes them and
    continues; else it shall exit with an error message.  This argument
    overrides the settings in the environment variable CVSDEB_FORCECLEAN,
    which in turn overrides the setting in the configuration file,
    conf_forceclean.
    This seems to work for me, but my tests have been contrived. I'd
    appreciate it if people were to test these. 
    closes: Bug#34457, Bug#35538

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 14 May 1999 23:50:12 -0500

cvs-buildpackage (3.05) unstable; urgency=low


