=== debian/control ===
--- 
+++ 
@@ -2,9 +2,11 @@
 Priority: optional
 Section: devel
 Maintainer: Manoj Srivastava <srivasta@debian.org>
-Standards-Version: 2.4.0.0
+Standards-Version: 3.0.1.0
 
 Package: cvs-buildpackage
+Priority: optional
+Section: devel
 Description: Debian package scripts for CVS source trees.
  This package provides the capability to inject or import Debian
  source packages into a CVS repository, build a Debian package from
@@ -31,5 +33,5 @@
  version control system.
  .
  This can be used to generate a unified CVS source tree, for example.
-Depends: dpkg-dev (>= 1.4.0.9), cvs
+Depends: dpkg-dev (>= 1.4.0.9), cvs, fileutils (>= 4.0)
 Architecture: all
