=== debian/rules ===
--- 
+++ 
@@ -5,14 +5,19 @@
 ## Created On	    : Sat Apr 27 06:36:31 1996
 ## Created On Node  : melkor.pilgrim.umass.edu
 ## Last Modified By : Manoj Srivastava
-## Last Modified On : Fri Feb 27 16:31:04 1998
-## Last Machine Used: tiamat.datasync.com
-## Update Count	    : 121
+## Last Modified On : Tue Feb  8 14:45:22 2000
+## Last Machine Used: glaurung.green-gryphon.com
+## Update Count	    : 126
 ## Status	    : Unknown, Use with caution!
 ## HISTORY	    :
 ## Description	    :
 ##
 ###############################################################################
+
+#
+# VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | \
+#                          sed 's/^Version: *//')
+#
 
 # The name of the package (for example, `emacs').
 package = $(shell grep Source debian/control | sed 's/^Source: //')
@@ -23,7 +28,8 @@
 
 CONFLOC:=/etc/cvsdeb.conf
 SRCTOP := $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)
-DOCDIR := debian/tmp/usr/doc/$(package)
+DOCDIR := debian/tmp/usr/share/doc/$(package)
+
 
 # install commands
 install_file= install    -p    -o root -g root -m 644
@@ -50,33 +56,38 @@
 binary-indep: build stamp-binary
 
 stamp-binary:
-	@test root = "`whoami`" || (echo need root priviledges; exit 1)
+	@test $$(id | sed -e 's/(.*$$//' -e 's/^uid=//') || \
+		(echo need root priviledges; exit 1)
 	$(checkdir)
 	rm -rf debian/tmp  debian/tmp.deb
 	$(make_directory)  debian/tmp/DEBIAN
 	$(make_directory)  debian/tmp/etc
 	$(make_directory)  debian/tmp/usr/bin
-	$(make_directory)  debian/tmp/usr/man/man1
-	$(make_directory)  debian/tmp/usr/man/man5
+	$(make_directory)  debian/tmp/usr/share/man/man1
+	$(make_directory)  debian/tmp/usr/share/man/man5
 	$(make_directory)  $(DOCDIR)
+	$(install_program) debian/postinst     debian/tmp/DEBIAN/postinst
+	$(install_program) debian/prerm        debian/tmp/DEBIAN/prerm
 	$(install_file)    debian/conffiles    debian/tmp/DEBIAN/conffiles
 	$(install_file)    debian/changelog    $(DOCDIR)/changelog
 	$(install_file)    README              $(DOCDIR)/README
 	$(install_file)    HOWTO               $(DOCDIR)/HOWTO
 	$(install_file)    cvs-pkginit         $(DOCDIR)/cvs-pkginit
 	pod2man            cvs-pkginit >       $(DOCDIR)/cvs-pkginit.1
-	$(install_file)    cvsdeb.conf.5       debian/tmp/usr/man/man5/
-	$(install_file)    cvs-buildpackage.1  debian/tmp/usr/man/man1
-	$(install_file)    cvs-inject.1        debian/tmp/usr/man/man1
-	$(install_file)    cvs-upgrade.1        debian/tmp/usr/man/man1
-	-gzip -9fqr        debian/tmp/usr/man/
+	$(install_file)    cvsdeb.conf.5       debian/tmp/usr/share/man/man5/
+	$(install_file)    cvs-buildpackage.1  debian/tmp/usr/share/man/man1
+	$(install_file)    cvs-inject.1        debian/tmp/usr/share/man/man1
+	$(install_file)    cvs-upgrade.1       debian/tmp/usr/share/man/man1
+	$(install_file)    cvs-co-upgrade.1    debian/tmp/usr/share/man/man1
+	-gzip -9fqr        debian/tmp/usr/share/man/
 	-gzip -9fqr        $(DOCDIR)
 	$(install_file)    debian/copyright    $(DOCDIR)/copyright
 	$(install_file)    cvsdeb.conf         debian/tmp/etc/cvsdeb.conf
 	$(install_program) cvs-buildpackage    debian/tmp/usr/bin/
 	$(install_program) cvs-inject          debian/tmp/usr/bin/
 	$(install_program) cvs-upgrade         debian/tmp/usr/bin/
-	dpkg-gencontrol
+	$(install_program) cvs-co-upgrade      debian/tmp/usr/bin/
+	dpkg-gencontrol -isp
 	chown -R root.root debian/tmp/
 	chmod -R go=rX     debian/tmp/
 	dpkg --build       debian/tmp ..
