## cvs-buildpackage 3.42

=== debian/changelog ===
cvs-buildpackage (3.42) unstable; urgency=high

  * Urk, Did not include part of the patch to fix versions numbers, and
    now we translate newlines at the ned of var names to spurious _'s. 
                                                             closes: Bug#134998

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 21 Feb 2002 09:08:54 -0600

cvs-buildpackage (3.41) unstable; urgency=low

  * Thetr expression introduced in the previous version was bogus. Many
    thanks to Peter Muir <iyhi@yahoo.com> for catching tghe error, coming
    up with a solution, and testing it.  I generalized it to all three
    scripts.                                                 closes: Bug#134746

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 19 Feb 2002 22:30:44 -0600

cvs-buildpackage (3.40) unstable; urgency=low

  * It appears that cvs-buildpackage will generate a tag such as
    upstream_version_3_37+2_3_1 from a version number 3.37+2.3.1. However,
    only [-_a-zA-Z0-9] are valid in tags, so really instead of just
    translating . to _, every non-[-_a-zA-Z0-9] character should probably
    be so translated.                                        closes: Bug#134496

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 17 Feb 2002 20:33:53 -0600

cvs-buildpackage (3.39) unstable; urgency=low

  * Fixed a minor typo.                                      closes: Bug#133826

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 16 Feb 2002 18:29:11 -0600

cvs-buildpackage (3.38) unstable; urgency=low

  * cvs-upgrade has the same bug cvs-inject had.             closes: Bug#132029

 -- Manoj Srivastava <srivasta@debian.org>  Sun,  3 Feb 2002 14:11:24 -0600

cvs-buildpackage (3.37) unstable; urgency=low

  * Fixed typo that broke the upstream tag when usig the ctp option. 
                                                 closes: Bug#130195, Bug#130198

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 20 Jan 2002 22:25:03 -0600

cvs-buildpackage (3.36) unstable; urgency=low

  * Specify that the working directory specification needs be an absolute
    path name.                                               closes: Bug#122975

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 21 Dec 2001 16:41:49 -0600

cvs-buildpackage (3.35) unstable; urgency=low

  * Remove mention of /usr/doc from the package.             closes: Bug#121975
  * Put quotes around rm -rf                                 closes: Bug#119552

 -- Manoj Srivastava <srivasta@debian.org>  Sat,  1 Dec 2001 19:12:17 -0600

cvs-buildpackage (3.34) unstable; urgency=low

  *  -d	Use the file's modification time as the time of import. Since we
    were not using this during import, we were losing information about
    timestamps. Using -d should set the timestamps to whatever they are in
    the upstream sources.                                    closes: Bug#117982
  * The cvs-co-upgrade code does not grok epochs, so a fatal warning has
    now been added to with a rider, and is not longer fatal. closes: Bug#118661

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 12 Nov 2001 15:22:04 -0600

cvs-buildpackage (3.33) unstable; urgency=low

  * For packages with versions in the name, using the -ctp option is not
    possible due to cvs choking on the '.' in the tag. This was fixed
    thanks to Stephen Zander <gibreel@pobox.com>             closes: Bug#112949
  * The leading ./ was confusing cvs-co-upgrade. Fixed thanks to Rob
    Browning <rlb@defaultvalue.org>                          closes: Bug#113088

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 21 Sep 2001 22:13:45 -0500

cvs-buildpackage (3.32) unstable; urgency=low

  * changes start on the same line as "Imported..." and "Added...", which
    was ugly.                                                closes: Bug#108229

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 20 Aug 2001 02:46:07 -0500

cvs-buildpackage (3.31) unstable; urgency=low

  * Added additional information in cvs-upgrade while checking in stuff. 
                                                             closes: Bug#104355

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 12 Jul 2001 12:07:00 -0500

cvs-buildpackage (3.30) unstable; urgency=low

  * Fixed a typo in cvs-inject man page.                     closes: Bug#101661
  * cvs-buildpackage currently checks whether the upstream source contains
    a directory named debian but doesn't use this info later on.  This has
    now been fixed.                                           closes: Bug#97423
  * Use cvs rtag to delete the current tag on all files (even those in the
    attic). This deals with the following case: (a) tag with
    debian_version_2_8_7 (b) remove file 'foo.c' (cvs rm; cvs ci), (c)
    retag. With 'cvs tag' it won't remove the tag from the file foo.c;
    with 'cvs rtag', it will. When invoking cvs-buildpackage -F rtag has
    the right semantics.                                     closes: Bug#101818
  * Set CVSROOT if empty and CVS/Root is present (abort if we can't figure
    out what CVSROOT should be (all this is in cvs-buildpackage proper). 
                                                             closes: Bug#101822

 -- Manoj Srivastava <srivasta@debian.org>  Thu,  5 Jul 2001 15:23:08 -0500

cvs-buildpackage (3.29) unstable; urgency=low

  * A patch from  Henrique de Moraes Holschuh <hmh@debian.org> fixes a
    missing quote, as well as providing other clean up. closes: Bug#96713
  *  ore -> more. closes: Bug#96741
  * Fixed typo and other problems with an error echo in
    cvs-co-upgrade. Thanks to  Julian Gilbey <J.D.Gilbey@qmw.ac.uk> for
    catching this. closes: Bug#96742
  * Fix cvs-co-upgrade with a different reg exp for building lists of
    files, again thanks to Julian Gilbey <J.D.Gilbey@qmw.ac.uk>.
    close: Bug#96743

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  8 May 2001 17:30:51 -0500

cvs-buildpackage (3.28) unstable; urgency=low

  * Handle source which unpacks flat (i.e., not into one single

