=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Section: devel
 Maintainer: Manoj Srivastava <srivasta@debian.org>
-Standards-Version: 3.0.1.0
+Standards-Version: 3.5.5.0
 
 Package: cvs-buildpackage
 Priority: optional
