=== debian/rules ===
--- 
+++ 
@@ -5,14 +5,29 @@
 ## Created On	    : Sat Apr 27 06:36:31 1996
 ## Created On Node  : melkor.pilgrim.umass.edu
 ## Last Modified By : Manoj Srivastava
-## Last Modified On : Tue Feb  8 14:45:22 2000
+## Last Modified On : Mon Nov 12 15:28:58 2001
 ## Last Machine Used: glaurung.green-gryphon.com
-## Update Count	    : 126
+## Update Count	    : 130
 ## Status	    : Unknown, Use with caution!
 ## HISTORY	    :
 ## Description	    :
 ##
 ###############################################################################
+
+ifdef ARCH
+  ha:=-a$(ARCH)
+endif
+
+# set the dpkg-architecture vars
+export DEB_BUILD_ARCH      := $(shell dpkg-architecture $(ha) -qDEB_BUILD_ARCH)
+export DEB_BUILD_GNU_CPU   := $(shell dpkg-architecture $(ha) -qDEB_BUILD_GNU_CPU)
+export DEB_BUILD_GNU_SYSTEM:= $(shell dpkg-architecture $(ha) -qDEB_BUILD_GNU_SYSTEM)
+export DEB_BUILD_GNU_TYPE  := $(shell dpkg-architecture $(ha) -qDEB_BUILD_GNU_TYPE)
+export DEB_HOST_ARCH       := $(shell dpkg-architecture $(ha) -qDEB_HOST_ARCH)
+export DEB_HOST_GNU_CPU    := $(shell dpkg-architecture $(ha) -qDEB_HOST_GNU_CPU)
+export DEB_HOST_GNU_SYSTEM := $(shell dpkg-architecture $(ha) -qDEB_HOST_GNU_SYSTEM)
+export DEB_HOST_GNU_TYPE   := $(shell dpkg-architecture $(ha) -qDEB_HOST_GNU_TYPE)
+
 
 #
 # VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | \
@@ -27,8 +42,10 @@
 DIRS_TO_CLEAN  = debian/tmp
 
 CONFLOC:=/etc/cvsdeb.conf
-SRCTOP := $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)
-DOCDIR := debian/tmp/usr/share/doc/$(package)
+SRCTOP = $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)
+TMPTOP = $(SRCTOP)/debian/tmp
+DOCDIR = $(TMPTOP)/usr/share/doc/$(package)
+LINTIANDIR= $(TMPTOP)/usr/share/lintian/overrides
 
 
 # install commands
@@ -66,6 +83,9 @@
 	$(make_directory)  debian/tmp/usr/share/man/man1
 	$(make_directory)  debian/tmp/usr/share/man/man5
 	$(make_directory)  $(DOCDIR)
+	$(make_directory)  $(LINTIANDIR)
+	echo  'cvs-buildpackage: postinst-does-not-set-usr-doc-link' \
+                           >> $(LINTIANDIR)/cvs-buildpackage
 	$(install_program) debian/postinst     debian/tmp/DEBIAN/postinst
 	$(install_program) debian/prerm        debian/tmp/DEBIAN/prerm
 	$(install_file)    debian/conffiles    debian/tmp/DEBIAN/conffiles
