## cvs-buildpackage 5.17

=== debian/changelog ===
cvs-buildpackage (5.17) unstable; urgency=low

  * Bug fix: "typo in /usr/bin/cvs-buildpackage", thanks to Bastian
    Kleineidam                                    (Closes: #248101).
  * Bug fix: "cvs-inject: unknown option -v (mentioned in manpage)",
    thanks to Henrique de Moraes Holschuh         (Closes: #249630).

 -- Manoj Srivastava <srivasta@debian.org>  Sun,  6 Jun 2004 12:14:34 -0500

cvs-buildpackage (5.16) unstable; urgency=low

  * Bug fix: "cvs-buildpackage: use apt to get .orig.tar.gz from Debian
    mirror", thanks to Henning Makholm. This adds an -A option to
    cvs-buildpackage, which makes it try apt-get for producing missing
    .orig.tar.gz files. The option is not on by default, because that
    might cause systems with dial-up net access to try to bring the link
    up unexpectedly (or lead to long time-out delays while apt tries to
    contact a mirror). Many thanks for this functionality. 
                                                       (Closes: #227995). 
  * Bug fix: "cvs-upgrade(1) still refers to cvs-co-upgrade", thanks to
    Matt Zimmerman                                     (Closes: #227582).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 16 Feb 2004 19:50:28 -0600

cvs-buildpackage (5.15) unstable; urgency=low

  * Bug fix: "cvs-buildpackage: missing newline at end of
    /etc/cvsdeb.conf", thanks to Julian Gilbey (Closes: #225068).

 -- Manoj Srivastava <srivasta@debian.org>  Fri,  2 Jan 2004 11:53:43 -0600

cvs-buildpackage (5.14) unstable; urgency=low

  * Bug fix: "typo (-- vs. -) in description in cvs-inject manpage",
    thanks to Anthony DeRobertis                         (Closes: #222802).

 -- Manoj Srivastava <srivasta@debian.org>  Sat,  6 Dec 2003 10:04:53 -0600

cvs-buildpackage (5.13) unstable; urgency=low

  * Change usage message of cvs-buildpackage to correctly document -m and
    -d.                                                closes: Bug#217944

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 31 Oct 2003 12:52:31 -0600

cvs-buildpackage (5.12) unstable; urgency=low

  * cvs-upgrade rejects "-v" (verbose) option due to a typo in the getopt
    invocation. Thanks to David Coe <davidc@debian.org> closes: Bug#209372

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 10 Sep 2003 14:57:30 -0500

cvs-buildpackage (5.11) unstable; urgency=low

  * Handle the case where upstream tarballs have files where the owner
    does not have write permissions, causing rm -rf of the temp dir to
    fail.                                               closes: Bug#207285

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 26 Aug 2003 03:04:25 -0500

cvs-buildpackage (5.10) unstable; urgency=medium

  * The quotes around the $cvsdeb_packageopts variable were causing
    problems when the variable was empty. Fixed.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 22 Aug 2003 12:24:16 -0500

cvs-buildpackage (5.09) unstable; urgency=low

  * Added a new configuration file option to allow appending options to
    the buildpackage program. There are options alerady for the default
    dpkg-buildpackage script, and you can change it (to pbuilder, say) and
    prepend options to the builder ptogram, this new option allows you to
    append options to the builder package invocation.
  * Changed the chown invocation in the rules file to use : as a
    separator, not ., to meet the latest POSIX rules.

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 18 Aug 2003 14:01:16 -0500

cvs-buildpackage (5.08) unstable; urgency=low

  * Added examples to the man pages and the HOWTO to show how to hook into
    the pbuilder system for building debian packages in a chroot.
  * Now cvs-buildpackage sets the value of CVSROOT from the CVS/Root file.
                                                             closes: Bug#199259

 -- Manoj Srivastava <srivasta@debian.org>  Thu,  3 Jul 2003 13:29:32 -0500

cvs-buildpackage (5.07) unstable; urgency=low

  * Add the long --help option in addition to the -h option. closes: Bug#190580

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 25 Apr 2003 14:18:08 -0500

cvs-buildpackage (5.06) unstable; urgency=low

  * Add a missing .TP in cvs-buildpackage(1).                closes: Bug#189674

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 19 Apr 2003 23:40:41 -0500

cvs-buildpackage (5.05) unstable; urgency=low

  * The rdiff patch introduced in 5.03 changed the standard fullexport
    behaviour: In fullexport mode, cvs-buildpackage now always exports the
    upstream source from CVS, even if an .orig.tar.gz is present. The
    patch from Daniel Kobras <kobras@debian.org> fixes this. closes: Bug#188700
  * Fixed man page typo.                                     closee: Bug#188506

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 13 Apr 2003 17:04:52 -0500

cvs-buildpackage (5.04) unstable; urgency=low

  * Fixed typo to make -op work.                             closes: Bug#186427

 -- Manoj Srivastava <srivasta@acm.org>  Thu, 27 Mar 2003 01:17:51 -0600

cvs-buildpackage (5.03) unstable; urgency=low

  * Added a major change (initially coded by David B. Harris, and expanded
    by me) to include a alternate mechanism for cvs-buildpackage; rather
    than just exporting the module out of CVS, we can unpack the original
    tarfile, and apply a patch to bring it up to date. This is useful if
    the repository is remote. This does have its drawbaclks: since patch
    does not generally create files with the correct permissions, special
    care has to be taken to ensure the permissions are right; a hook has
    been provided for a script to run and fix the permissions back
    up. Also, export processes the CVS keywords, whoch won't be done in
    the rdiff approach. The default remain the old way of doing things.
                                                             closes: Bug#186205

 -- Manoj Srivastava <srivasta@acm.org>  Wed, 26 Mar 2003 00:37:04 -0600

cvs-buildpackage (5.02) unstable; urgency=low


