## cvs-buildpackage 5.18

=== debian/changelog ===
cvs-buildpackage (5.18) unstable; urgency=low

  * Fixed use of tail as well.
  * Bug fix: "/usr/bin/cvs-inject: deprecated use of `head -1'", thanks to
    Robert Luberda                                        (Closes: #270604).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 20 Sep 2004 16:32:37 -0500
