## cvs-buildpackage 5.19

=== debian/changelog ===
cvs-buildpackage (5.19) unstable; urgency=low

  * Bug fix: "cvs-buildpackage: missing -b option in getopt()", thanks to
    Marcelo Bezerra (Closes: #298947).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 17 Mar 2005 02:57:16 -0600
