## cvs-buildpackage 5.20

=== debian/changelog ===
cvs-buildpackage (5.20) unstable; urgency=low

  * Bug fix: "cvs-buildpackage: typos in 'cvs-upgrade -n'
    output", thanks to Henning Makholm                    (Closes: #322944).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 22 Sep 2005 13:26:55 -0500
