## cvs-buildpackage 5.21

=== debian/changelog ===
cvs-buildpackage (5.21) unstable; urgency=low

  * Fixed minor typos in man pages.
  * Bug fix: "cvs-buildpackage: Unknown macro in cvs-upgrade.1,
    cvsdeb.conf.5 and cvs-inject.1", thanks to Thomas Huriaux 
                                                          (Closes:  #421012).

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 07 Jul 2007 11:57:23 -0500
