=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: cvs-buildpackage
+XS-VCS-Arch: http://arch.debian.org/arch/private/srivasta/grab/cvs-buildpackage
+XS-VCS-Browse: http://arch.debian.org/cgi-bin/archzoom.cgi/srivasta@debian.org--lenny/cvs-buildpackage?expand
 Priority: optional
 Section: devel
 Maintainer: Manoj Srivastava <srivasta@debian.org>
-Standards-Version: 3.6.2.0
+Standards-Version: 3.7.2.0
 
 Package: cvs-buildpackage
 Priority: optional
