## cvs-buildpackage 5.22

=== debian/changelog ===
cvs-buildpackage (5.22) unstable; urgency=low

  * Orphan the package. I no longer use CVS, and am unable to spend time
    maintaining this as well as this deserves.

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 28 Apr 2008 00:36:03 -0500
